Subject: Re: bug#42131: Cannot split to IMAP folders

From: David Greene <[email-masked]>
Date: Fri, 21 Aug 2020 10:05:29 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> "Greene, David" <[email-masked]> writes:
>
>> I did this:
>>
>>   ;; Turn on debugging
>>   (setq imap-log t)
>>   (setq nnimap-log-command t)
>>   (setq nnmail-split-tracing t)
>
> That should be
>
> (setq nnimap-record-commands t)
> (setq nnmail-debug-splitting t)

Thank you!  With this *imapo-log* shows:

10:01:57 [localhost] 529 CAPABILITY
10:01:57 [localhost] 530 ENABLE QRESYNC
10:01:57 [localhost] 531 SELECT "hpe/INBOX"
10:01:58 [localhost] 532 SELECT "hpe/INBOX"
10:01:58 [localhost] 533 UID FETCH 1427,2429,3664,3858,3954,10448,10545,10560,10972:10973,11224,11291,11731,11952,12758,13114,13405,13529,13863,13876,14954,15096,15202,15307,15312,15664,15791,15890,15913,16062,16161,16235,16778,16988,17395,18205,20358,20458,20461:20462,20465,20609,21073,21124:21125,21128,21186,21196,21362,21799,21982,22013,22120,22208,23347,24041,24113:24115,24281,24335,24420,24424:24425,24878,25123,25200,27074,27473:27474,27579,27597,27683,27694,27697,27776,27784,27787:27794 (UID RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (Subject From Date Message-Id References In-Reply-To Xref To Newsgroups Cc)])
10:02:04 [localhost] 534 SELECT "hpe/INBOX"
10:02:04 [localhost] 535 UID STORE 2429 -FLAGS.SILENT (\Flagged \Answered gnus-expire gnus-dormant gnus-score gnus-save gnus-download gnus-forward)
10:02:04 [localhost] 536 SELECT "hpe/INBOX"
10:02:04 [localhost] 537 UID FETCH 2429 BODY.PEEK[]
10:02:04 [localhost] 538 APPEND "mail.misc" {622647}

mail.misc is suspicious because B q says the message should go to a
different folder, on that exists.  There is no mail.misc IMAP folder so
maybe that's why I'm having trouble.

I still don't see a *Split-Trace* buffer.

David